%define upstream_name    File-Listing
%define upstream_version 6.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse directory listings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

# Do not provide private modules
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(File::Listing::

%description
This module exports a single function called parse_dir(), which can be used
to parse directory listings.

The first parameter to parse_dir() is the directory listing to parse. It
can be a scalar, a reference to an array of directory lines or a glob
representing a filehandle to read the directory listing from.

The second parameter is the time zone to use when parsing time stamps in
the listing. If this value is undefined, then the local time zone is
assumed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 19 2022 tv <tv> 6.150.0-1.mga9
+ Revision: 1851550
- update to 6.15

* Mon Mar 21 2022 umeabot <umeabot> 6.140.0-2.mga9
+ Revision: 1813643
- Mageia 9 Mass Rebuild

* Tue Dec 01 2020 tv <tv> 6.140.0-1.mga8
+ Revision: 1651056
- update to 6.14

* Wed Oct 07 2020 tv <tv> 6.110.0-1.mga8
+ Revision: 1632481
- update to 6.11

* Tue Oct 06 2020 tv <tv> 6.100.0-1.mga8
+ Revision: 1632362
- update to 6.10

* Thu Oct 01 2020 tv <tv> 6.70.0-1.mga8
+ Revision: 1631367
- update to 6.07

* Wed Feb 12 2020 umeabot <umeabot> 6.40.0-10.mga8
+ Revision: 1494490
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 6.40.0-9.mga7
+ Revision: 1268096
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 6.40.0-8.mga6
+ Revision: 1027340
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 6.40.0-7.mga6
+ Revision: 941341
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.40.0-6.mga5
+ Revision: 740945
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 6.40.0-5.mga5
+ Revision: 732139
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.40.0-4.mga5
+ Revision: 684738
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.40.0-3.mga4
+ Revision: 511564
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.40.0-2.mga3
+ Revision: 367266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.40.0-1.mga2
+ Revision: 212883
- update to 6.04

* Mon Sep 26 2011 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 148065
- update to 6.03

* Thu Mar 24 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 76626
- update to 6.02

* Mon Mar 14 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 70986
- update to 6.01

* Sat Feb 26 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 60821
- imported package perl-File-Listing

